package com.xingxi.master.product.service.impl;

import com.xingxi.common.core.text.Convert;
import com.xingxi.common.utils.DateUtils;
import com.xingxi.master.product.domain.ProdVendor;
import com.xingxi.master.product.mapper.ProdVendorMapper;
import com.xingxi.master.product.service.IProdVendorService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 商品供应商Service业务层处理
 *
 * @author xingxi
 * @date 2025-03-06
 */
@Service
public class ProdVendorServiceImpl implements IProdVendorService {
    @Resource
    private ProdVendorMapper prodVendorMapper;

    /**
     * 查询商品供应商
     *
     * @param prodVendorId 商品供应商主键
     * @return 商品供应商
     */
    @Override
    public ProdVendor selectProdVendorByProdVendorId(Long prodVendorId) {
        return prodVendorMapper.selectProdVendorByProdVendorId(prodVendorId);
    }

    /**
     * 查询商品供应商列表
     *
     * @param prodVendor 商品供应商
     * @return 商品供应商
     */
    @Override
    public List<ProdVendor> selectProdVendorList(ProdVendor prodVendor) {
        return prodVendorMapper.selectProdVendorList(prodVendor);
    }

    /**
     * 新增商品供应商
     *
     * @param prodVendor 商品供应商
     * @return 结果
     */
    @Override
    public int insertProdVendor(ProdVendor prodVendor) {
        prodVendor.setCreateTime(DateUtils.getNowDate());
        return prodVendorMapper.insertProdVendor(prodVendor);
    }

    /**
     * 新增商品供应商
     *
     * @param prodVendorList 商品供应商
     * @return 结果
     */
    @Override
    public int batchInsertProdVendor(List<ProdVendor> prodVendorList) {
        return prodVendorMapper.batchInsertProdVendor(prodVendorList);
    }

    /**
     * 修改商品供应商
     *
     * @param prodVendor 商品供应商
     * @return 结果
     */
    @Override
    public int updateProdVendor(ProdVendor prodVendor) {
        prodVendor.setUpdateTime(DateUtils.getNowDate());
        return prodVendorMapper.updateProdVendor(prodVendor);
    }

    /**
     * 批量删除商品供应商
     *
     * @param prodVendorIds 需要删除的商品供应商主键
     * @return 结果
     */
    @Override
    public int deleteProdVendorByProdVendorIds(String prodVendorIds) {
        return prodVendorMapper.deleteProdVendorByProdVendorIds(Convert.toStrArray(prodVendorIds));
    }

    /**
     * 删除商品供应商信息
     *
     * @param prodVendorId 商品供应商主键
     * @return 结果
     */
    @Override
    public int deleteProdVendorByProdVendorId(Long prodVendorId) {
        return prodVendorMapper.deleteProdVendorByProdVendorId(prodVendorId);
    }

    /**
     * 逻辑删除商品供应商
     *
     * @param prodVendorId 商品供应商主键
     * @return 结果
     */
    @Override
    public int logicDeleteProdVendorByProdVendorId(Long prodVendorId) {
        return prodVendorMapper.logicDeleteProdVendorByProdVendorId(prodVendorId);
    }

    /**
     * 逻辑批量删除商品供应商
     *
     * @param prodVendorIds 需要删除的数据主键集合
     * @return 结果
     */
    @Override
    public int logicDeleteProdVendorByProdVendorIds(String[] prodVendorIds) {
        return prodVendorMapper.logicDeleteProdVendorByProdVendorIds(prodVendorIds);
    }

    /**
     * 逻辑批量删除商品供应商
     *
     * @param prodVendor 商品供应商
     * @return 结果
     */
    @Override
    public int logicDeleteProdVendorByCondition(ProdVendor prodVendor) {
        return prodVendorMapper.logicDeleteProdVendorByCondition(prodVendor);
    }
}
